const { formatters } = require('./utils');

module.exports = {
  rules: {
    mdl: {
      create: function (context) {
        const filepath = context.getFilename();
        return {
          Program() {
            const markdownlint = require('markdownlint');
            const { [filepath]: res } = markdownlint.sync({
              files: [filepath],
              config: {
                "MD002": false,
                "MD006": false,
                "MD013": {
                  "line_length": 88,
                  "code_blocks": false,
                  "tables": false
                },
                "MD034": false,
                "MD024": {
                  "allow_different_nesting": true
                }
              },
            });
            res.forEach((err) => {
              context.report({
                message: formatters.formatMessage(err),
                loc: formatters.getLocation(err),
              });
            });
          },
        };
      },
    },
  },
};
