module.exports.formatMessage = ({ ruleNames, ruleDescription, errorDetail, errorContext, errorRange }) => {
  let message = '';
  message += ruleNames[0];
  message += ': ';
  message += ruleDescription;
  if (errorDetail) {
    message += ' - ' + errorDetail;
  }

  if (errorContext) {
    message += ` [Context: ${errorContext}]`;
  }

  if (errorRange) {
    if (errorRange.length === 2) {
      message += ` [Column:${errorRange[0]}:${errorRange[0] + errorRange[1]}]`;
    } else if (errorRange.length === 1) {
      message += ` [Column:${errorRange[0]}]`;
    }
  }

  return message;
};

module.exports.getLocation = ({ lineNumber, errorRange }) => {
  return {
    start: {
      line: lineNumber,
      column: !!errorRange ? errorRange[0] : 0,
    },
    end: {
      line: lineNumber,
      column: !!errorRange ? errorRange[0] + errorRange[1] : 0,
    },
  };
};
